# docker_kimai

this repo deploys kimai in a docker container

**HINT:** for this version you need a dedicated mysql database! (e.g. mariadb)

how to use:
1. clone this repo via https to your server where you want to deploy kimai.
2. go in the folder, start the setup script and follow the instructions.
3. kimai should run now!

### Setup script

At the beginning you can enter a project name suffix. (e.g. `prod` or `dev`)
- The setup script creates a container with the name `kimai_DATETIMENOW_core_SUFFIX` and stack `kimai_DATETIMENOW_SUFFIX`.

The setup script search for a `config` file.

- If this file exists, you can select the parameters from it.
- If this file does not exist or you do not want to use it, the script will ask you the following parameters: (an existing `config` file will be deleted!)
    - Kimai docker version. (e.g. `apache-1.14.3-prod`)
    - IP address from the docker host (e.g. the vm) on which kimai should be accessible.
    - Port from the docker host (e.g. the vm) on which kimai should be accessible.
    - The public url from which kimai should be accessible. (e.g. `kimai.mydomain.com`)
        - This will be added to the trusted hosts
    - Mail address from `superadmin`. (not relevant for existing databases)
    - Password for `superadmin`. (not relevant for existing databases)
    - Database connection:
        - Host (ip or hostname)
        - Port (standard is `3306`)
        - Database name
        - User name
        - User password

All entered parameters (excluding the project name suffix) can be saved in the `config`file.

After that the setup script search for a `kimai_config/local.yaml` file.

- If this file exists, you can select the parameters from it.
- If this file does not exist or you do not want to use it, the script will ask you the following parameters: (an existing `kimai_config/local.yaml` file will be deleted!)
    - You can disable self-registration and password reset by email on the login screen.
    - You can set the session lifetime to 24 hours. (default is 24 minutes)

All options will be saved in the `kimai_config/local.yaml` file.
You can read more configuration options on the [official website](https://www.kimai.org/documentation/local-yaml.html).
